# ObjectType Class Reference
[Supported meta-types]

Inheritance diagram for ObjectType:
[legend]

List of all members.

## Public Member Functions

| getPrimitiveName ()
| __construct ($className)
| getClass ()
| getClassName ()
| getDeclaration ()
| isGeneric ()
| isMeasurable ()
| toMethods (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)
| toGetter (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)
| toSetter (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)
| toDropper (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)
| toColumnType ()
| getHint ()

## Private Attributes

| $className = null

## Detailed Description

Definition at line 15 of file ObjectType.class.php.

## Constructor & Destructor Documentation

ObjectType::__construct | ( | $ | className | ) |

Definition at line 24 of file ObjectType.class.php.

References $className.

## Member Function Documentation

ObjectType::getClass | ( |  | ) |

Returns:
  MetaClass

Definition at line 32 of file ObjectType.class.php.

References MetaConfiguration::me().

Here is the call graph for this function:

ObjectType::getClassName | ( |  | ) |

Definition at line 37 of file ObjectType.class.php.

ObjectType::getDeclaration | ( |  | ) |

Reimplemented from BasePropertyType.

Reimplemented in HstoreType.

Definition at line 42 of file ObjectType.class.php.

ObjectType::getHint | ( |  | ) |

Returns:
  {$this->getClassName()}

Reimplemented from BasePropertyType.

Definition at line 338 of file ObjectType.class.php.

ObjectType::getPrimitiveName | ( |  | ) |

Reimplemented from BasePropertyType.

Reimplemented in DateRangeType, DateType, HstoreType, HttpUrlType, RangeType, TimestampType, and TimeType.

Definition at line 19 of file ObjectType.class.php.

ObjectType::isGeneric | ( |  | ) |

Reimplemented from BasePropertyType.

Reimplemented in DateType, HstoreType, HttpUrlType, InternalType, and TimeType.

Definition at line 47 of file ObjectType.class.php.

ObjectType::isMeasurable | ( |  | ) |

Reimplemented from BasePropertyType.

Reimplemented in HstoreType, and HttpUrlType.

Definition at line 52 of file ObjectType.class.php.

ObjectType::toColumnType | ( |  | ) |

Reimplemented from BasePropertyType.

Reimplemented in DateType, HstoreType, HttpUrlType, RangeType, TimestampType, and TimeType.

Definition at line 333 of file ObjectType.class.php.

ObjectType::toDropper | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Returns:
  {$holder->getClass()->getName()}
  {$class->getName()}
  {$class->getName()}

Definition at line 266 of file ObjectType.class.php.

References MetaClassProperty::getName(), MetaClassProperty::getRelationId(), MetaRelation::MANY_TO_MANY, and MetaRelation::ONE_TO_MANY.

Here is the call graph for this function:

ObjectType::toGetter | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Returns:
  {$class}
  {$containerName}
  {$class->getName()}

Reimplemented from BasePropertyType.

Definition at line 68 of file ObjectType.class.php.

References MetaClass::getName(), MetaClassProperty::getName(), and MetaClassProperty::getType().

Here is the call graph for this function:

ObjectType::toMethods | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Reimplemented from BasePropertyType.

Definition at line 57 of file ObjectType.class.php.

ObjectType::toSetter | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Returns:
  {$holder->getClass()->getName()}
  {$property->getClass()->getName()}
  {$property->getClass()->getName()}
  {$property->getClass()->getName()}

Reimplemented from BasePropertyType.

Definition at line 187 of file ObjectType.class.php.

References MetaClassProperty::getName(), MetaClassProperty::getRelationId(), MetaClassProperty::getType(), MetaRelation::MANY_TO_MANY, and MetaRelation::ONE_TO_MANY.

Here is the call graph for this function:

## Member Data Documentation

ObjectType::$className = null`[private]`

Definition at line 17 of file ObjectType.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- meta/types/ObjectType.class.php